Bug 174564 - trouble with usb controller after kernel update (irq disabled / nobody cared)
trouble with usb controller after kernel update (irq disabled / nobody cared)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-30 00:57 EST by Heath Harrelson
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 19:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
contents of syslog from boot with 2.6.14-1.1644_FC4 (29.15 KB, text/plain)
2005-11-30 00:57 EST, Heath Harrelson
no flags Details
output of lspci -vvv (15.92 KB, text/plain)
2005-11-30 00:59 EST, Heath Harrelson
no flags Details
contents of /proc/cpuinfo, /proc/modules, /proc/interrupts, /proc/ioports, /proc/iomem (6.45 KB, text/plain)
2005-11-30 01:04 EST, Heath Harrelson
no flags Details

  None (edit)
Description Heath Harrelson 2005-11-30 00:57:14 EST
Description of problem: During boot, kernels since 2.6.14-1.1637_FC4 print a
message saying that IRQ 233 (the USB controller with my keyboard) is disabled. 
Subsequently, I cannot log in, because the system doesn't see any of my keystrokes.

This only happens with kernels 2.6.14-1.1637_FC4 and 2.6.14-1.1644_FC4.  This
does not happen with earlier kernels.  For instance, I am currently using kernel
2.6.13-1.1532_FC4 without issues.

The syslog contains the following interesting messages:

ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ 233
ohci_hcd 0000:00:13.0: OHCI Host Controller
ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 3
ohci_hcd 0000:00:13.0: irq 233, io mem 0xfe02d000
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 4 ports detected
ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level, low) -> IRQ 233
ohci_hcd 0000:00:13.1: OHCI Host Controller
irq 233: nobody cared (try booting with the "irqpoll" option)
 
Call Trace: <IRQ> <ffffffff80154f10>{__report_bad_irq+48}
                  <ffffffff8015515e>{note_interrupt+510}
                  <ffffffff8029ef22>{usb_hcd_irq+30}
                  <ffffffff80154a79>{__do_IRQ+174}
                  <ffffffff80110b75>{do_IRQ+47}
                  <ffffffff8010eca2>{ret_from_intr+0}
                  <EOI> <ffffffff8010d232>{default_idle+0}
                  <ffffffff8022f4fd>{acpi_processor_idle+292}
                  <ffffffff8010d288>{cpu_idle+49}
                  <ffffffff805047b5>{start_kernel+469}
                  <ffffffff805041f3>{_sinittext+499} 
handlers:
[<ffffffff8029ef04>] (usb_hcd_irq+0x0/0x46)
[<ffffffff8029ef04>] (usb_hcd_irq+0x0/0x46)
Disabling IRQ #233

System stats:
 * RS480M2-IL mainboard
 * 1 GB DDR400 RAM
 * Athlon64 3500+
 * APIC is enabled in the BIOS
 * no_timer_check kernel parameter needed to avoid clock skew

I will attach files showing the following:
 * /proc/cpuinfo
 * /proc/modules
 * /proc/interrupts
 * /proc/ioports
 * /proc/iomem
 * output from lspci -vvv

In addition, I have attached the contents of the syslog from an example boot in
case I missed anything important.
Comment 1 Heath Harrelson 2005-11-30 00:57:15 EST
Created attachment 121624 [details]
contents of syslog from boot with 2.6.14-1.1644_FC4
Comment 2 Heath Harrelson 2005-11-30 00:59:03 EST
Created attachment 121625 [details]
output of lspci -vvv
Comment 3 Heath Harrelson 2005-11-30 01:04:34 EST
Created attachment 121626 [details]
contents of /proc/cpuinfo, /proc/modules, /proc/interrupts, /proc/ioports, /proc/iomem
Comment 4 Heath Harrelson 2005-12-10 20:37:57 EST
Adding the irqpoll option to the kernel command line allowed me to work around
this issue, although the message about IRQ 233 being disabled still happens.
Comment 5 Dave Jones 2006-02-03 01:18:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Heath Harrelson 2006-03-08 21:23:31 EST
I no longer have this problem with kernel 2.6.15-1.1833_FC4.  This new kernel
resolves my previous issues; booting without the irqpoll option doesn't result
in warnings about IRQ 233, and the keyboard works.
Comment 7 Dave Jones 2006-09-16 23:24:13 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 8 Dave Jones 2006-10-16 15:49:36 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Heath Harrelson 2006-11-01 11:03:35 EST
As noted above, I haven't seen this bug in ages (since at least
2.6.15-1.1833_FC4).  I don't believe I've ever had this problem since upgrading
to FC5, and I don't experience this problem with kernel-2.6.18-1.2200.fc5.

This can probably be closed.

Note You need to log in before you can comment on or make changes to this bug.